> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-risk-prevented-list.md).

# getRiskPreventedList

Get paginated list of risks prevented with user, risk, app, language, timestamp, file, and line of code.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetRiskPreventedList($input: RiskPreventedListInput!) {
  getRiskPreventedList(input: $input) {
    items {
      user
      risk
      app
      language
      timestamp
      file
      lineOfCode
    }
    pagination {
      total
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "dateRange": {
      "from": 1749000000000,
      "to": 1749900000000
    },
    "pagination": {
      "limit": 100,
      "offset": 0,
      "sort": {
        "field": "totalCalls",
        "order": "Asc"
      }
    },
    "search": "developer@example.com",
    "filters": [
      {
        "condition": "OR",
        "fieldName": "Users",
        "values": ["Cursor"]
      }
    ]
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetRiskPreventedList($input: RiskPreventedListInput!) { getRiskPreventedList(input: $input) { items { user risk app language timestamp file lineOfCode } pagination { total } } }",
 "variables": {
    "input": {
      "dateRange": {
        "from": 1749000000000,
        "to": 1749900000000
      },
      "pagination": {
        "limit": 100,
        "offset": 0,
        "sort": {
          "field": "totalCalls",
          "order": "Asc"
        }
      },
      "search": "developer@example.com",
      "filters": [
        {
          "condition": "OR",
          "fieldName": "Users",
          "values": ["Cursor"]
        }
      ]
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetRiskPreventedList($input: RiskPreventedListInput!) { getRiskPreventedList(input: $input) { items { user risk app language timestamp file lineOfCode } pagination { total } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        dateRange: {
          from: 1749000000000,
          to: 1749900000000
        },
        pagination: {
          limit: 100,
          offset: 0,
          sort: {
            field: "totalCalls",
            order: "Asc"
          }
        },
        search: "developer@example.com",
        filters: [
          {
            condition: "OR",
            fieldName: "Users",
            values: ["Cursor"]
          }
        ]
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetRiskPreventedList($input: RiskPreventedListInput!) { getRiskPreventedList(input: $input) { items { user risk app language timestamp file lineOfCode } pagination { total } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "dateRange": {
          "from": 1749000000000,
          "to": 1749900000000
        },
        "pagination": {
          "limit": 100,
          "offset": 0,
          "sort": {
            "field": "totalCalls",
            "order": "Asc"
          }
        },
        "search": "developer@example.com",
        "filters": [
          {
            "condition": "OR",
            "fieldName": "Users",
            "values": ["Cursor"]
          }
        ]
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getRiskPreventedList` query.

| Argument                                                                                                                                                                                 | Description                               | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| input [`RiskPreventedListInput!`](/api-documentation/api-reference/api--vibesec/types/inputs/risk-prevented-list-input.md) <mark style="color:red;background-color:red;">required</mark> | Pagination and optional date range filter | <p>dateRange <a href="/api-documentation/api-reference/api--vibesec/types/inputs/vibe-sec-date-range.md"><code>VibeSecDateRange</code></a><br>pagination <a href="/api-documentation/api-reference/api--vibesec/types/inputs/pagination-input.md"><code>PaginationInput!</code></a><br>search <code>String</code><br>filters <a href="/api-documentation/api-reference/api--vibesec/types/inputs/risk-prevented-column-filter.md"><code>\[RiskPreventedColumnFilter!]</code></a></p> |

### Fields

Return type: [`RiskPreventedListResponse!`](/api-documentation/api-reference/api--vibesec/types/objects/risk-prevented-list-response.md)

You can use the following field(s) to specify what information your `getRiskPreventedList` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                  | Description               | Supported fields                                                                                                                                                                                                     |
| -------------------------------------------------------------------------------------------------------------------------------------- | ------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| items [`[RiskPreventedListItem!]!`](/api-documentation/api-reference/api--vibesec/types/objects/risk-prevented-list-item.md)           | List of risks prevented   | <p>user <code>String!</code><br>risk <code>String</code><br>app <code>String</code><br>language <code>String</code><br>timestamp <code>String!</code><br>file <code>String</code><br>lineOfCode <code>Int</code></p> |
| ~~data~~ [~~`[RiskPreventedListItem!]!`~~](/api-documentation/api-reference/api--vibesec/types/objects/risk-prevented-list-item.md) ⚠️ | **Deprecated**: Use items | <p>user <code>String!</code><br>risk <code>String</code><br>app <code>String</code><br>language <code>String</code><br>timestamp <code>String!</code><br>file <code>String</code><br>lineOfCode <code>Int</code></p> |
| pagination [`PaginationResponse!`](/api-documentation/api-reference/api--vibesec/types/objects/pagination-response.md)                 | Pagination details        | total `Float!`                                                                                                                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-risk-prevented-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
